libzypp: zyppng::sat::detail::RepositoryIterator Class Reference

libzypp 17.38.11

zyppng::sat::detail::RepositoryIterator Class Reference

`#include <zypp/ng/sat/repository.h>`

## Public Types
using | iterator_category = std::forward_iterator_tag
using | value_type = Repository
using | difference_type = std::ptrdiff_t
using | pointer = void
using | reference = Repository

## Public Member Functions
| RepositoryIterator ()
| RepositoryIterator (sat::detail::CRepo **p)
reference | operator* () const
RepositoryIterator & | operator++ ()
RepositoryIterator | operator++ (int)
bool | operator== (const RepositoryIterator &rhs) const
bool | operator!= (const RepositoryIterator &rhs) const
sat::detail::CRepo **const & | base () const

## Private Member Functions
void | increment ()

## Private Attributes
sat::detail::CRepo ** | _base

## Detailed Description

Definition at line 475 of file repository.h.

## Member Typedef Documentation

## ◆ iterator_category

using zyppng::sat::detail::RepositoryIterator::iterator_category = std::forward_iterator_tag

Definition at line 478 of file repository.h.

## ◆ value_type

using zyppng::sat::detail::RepositoryIterator::value_type = Repository

Definition at line 479 of file repository.h.

## ◆ difference_type

using zyppng::sat::detail::RepositoryIterator::difference_type = std::ptrdiff_t

Definition at line 480 of file repository.h.

## ◆ pointer

using zyppng::sat::detail::RepositoryIterator::pointer = void

Definition at line 481 of file repository.h.

## ◆ reference

using zyppng::sat::detail::RepositoryIterator::reference = Repository

Definition at line 482 of file repository.h.

## Constructor & Destructor Documentation

## ◆ RepositoryIterator() [1/2]

zyppng::sat::detail::RepositoryIterator::RepositoryIterator | ( |  | ) |
| inline

Definition at line 484 of file repository.h.

## ◆ RepositoryIterator() [2/2]

zyppng::sat::detail::RepositoryIterator::RepositoryIterator | ( | sat::detail::CRepo ** | p | ) |
| inlineexplicit

Definition at line 488 of file repository.h.

## Member Function Documentation

## ◆ operator*()

reference zyppng::sat::detail::RepositoryIterator::operator* | ( |  | ) | const
| inline

Definition at line 492 of file repository.h.

## ◆ operator++() [1/2]

RepositoryIterator & zyppng::sat::detail::RepositoryIterator::operator++ | ( |  | ) |
| inline

Definition at line 495 of file repository.h.

## ◆ operator++() [2/2]

RepositoryIterator zyppng::sat::detail::RepositoryIterator::operator++ | ( | int |  | ) |
| inline

Definition at line 498 of file repository.h.

## ◆ operator==()

bool zyppng::sat::detail::RepositoryIterator::operator== | ( | const RepositoryIterator & | rhs | ) | const
| inline

Definition at line 501 of file repository.h.

## ◆ operator!=()

bool zyppng::sat::detail::RepositoryIterator::operator!= | ( | const RepositoryIterator & | rhs | ) | const
| inline

Definition at line 504 of file repository.h.

## ◆ base()

sat::detail::CRepo **const & zyppng::sat::detail::RepositoryIterator::base | ( |  | ) | const
| inline

Definition at line 507 of file repository.h.

## ◆ increment()

void zyppng::sat::detail::RepositoryIterator::increment | ( |  | ) |
| private

Definition at line 289 of file repository.cc.

## Member Data Documentation

## ◆ _base

sat::detail::CRepo** zyppng::sat::detail::RepositoryIterator::_base
| private

Definition at line 513 of file repository.h.

The documentation for this class was generated from the following files:

- zypp/ng/sat/repository.h
- zypp/ng/sat/repository.cc